##
##  mutt.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_mutt      1.4

#   package information
Name:         mutt
Summary:      Mail User Agent
URL:          http://www.mutt.org/
Vendor:       Michael Elkins
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Mail
License:      BSD
Version:      %{V_mutt}i
Release:      20030103

#   build options
%option       with_comp   no
%option       with_nntp   no

#   list of sources
Source0:      ftp://ftp.mutt.org/mutt/mutt-%{V_mutt}i.tar.gz
Source1:      mailcap
Source2:      muttrc
Patch0:       ftp://ftp.mutt.org.ua/pub/mutt/mutt-%{V_mutt}/patch-%{V_mutt}.rr.compressed.gz
Patch1:       ftp://ftp.mutt.org.ua/pub/mutt/mutt-%{V_mutt}/patch-%{V_mutt}.vvv.nntp.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20030103, make, openssl, slang
PreReq:       OpenPKG, openpkg >= 20030103
AutoReq:      no
AutoReqProv:  no

%description
    Mutt is a small but very powerful text based program for reading
    electronic mail under Unix operating systems, including support for
    color terminals, MIME, and a threaded sorting mode.

%prep
    %setup -q -n mutt-%{V_mutt}
%if "%{with_comp}" == "yes"
    %patch0 -p1
%endif
%if "%{with_nntp}" == "yes"
    %patch1 -p1
%endif

%build
    #   configure for particular platform
    echo 'am_cv_func_iconv=no' >config.cache
    echo 'ac_cv_header_iconv_h=no' >>config.cache
    options=''
    case "%{l_target}" in
        *-freebsd* ) options="--enable-flock --disable-fcntl" ;;
    esac
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="-DICONV_CONST=const" \
    ./configure \
        --cache-file=./config.cache \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/mutt \
        --with-docdir=%{l_prefix}/share/mutt \
        --with-slang=%{l_prefix} \
        --with-ssl=%{l_prefix} \
        --enable-pop \
        --enable-imap \
%if "%{with_comp}" == "yes"
        --enable-compressed \
%endif
%if "%{with_nntp}" == "yes"
        --enable-nntp \
%endif
        --enable-buffy-size \
        --without-iconv \
        --without-wc-funcs \
        --disable-nls \
        $options

    #   perform standard build procedure
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT

    #   perform standard installation procedure
    %{l_shtool} subst \
        -e "s;chmod 2755;true;" \
        -e "s;chgrp mail;true;" \
        Makefile
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT

    #   strip down installation tree
    rm -f  $RPM_BUILD_ROOT%{l_prefix}/share/mutt/[A-Za-d]*
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/mutt/html
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/mutt/samples
    rm -f  $RPM_BUILD_ROOT%{l_prefix}/bin/flea
    rm -f  $RPM_BUILD_ROOT%{l_prefix}/man/man1/flea.1
    rm -f  $RPM_BUILD_ROOT%{l_prefix}/bin/muttbug
    rm -f  $RPM_BUILD_ROOT%{l_prefix}/man/man1/muttbug.1
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true

    #   install additional files
    %{l_shtool} install -c -m 644 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE muttrc} $RPM_BUILD_ROOT%{l_prefix}/etc/mutt/Muttrc
    %{l_shtool} install -c -m 644 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE mailcap} $RPM_BUILD_ROOT%{l_prefix}/etc/mutt/mailcap

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

